### Constructor

# Adw AboutWindow new_from_appdata

deprecated: 1.6 since: 1.4

#### Declaration [src]

    GtkWidget*
    adw_about_window_new_from_appdata (
      const char* resource_path,
      const char* release_notes_version
    )

#### Description [src]

Creates a new `AdwAboutWindow` using AppStream metadata.

This automatically sets the following properties with the following AppStream values:

- `AdwAboutWindow:application-icon` is set from the `<id>`
- `AdwAboutWindow:application-name` is set from the `<name>`
- `AdwAboutWindow:developer-name` is set from the `<name>` within `<developer>`
- `AdwAboutWindow:version` is set from the version of the latest release
- `AdwAboutWindow:website` is set from the `<url type="homepage">`
- `AdwAboutWindow:support-url` is set from the `<url type="help">`
- `AdwAboutWindow:issue-url` is set from the `<url type="bugtracker">`
- `AdwAboutWindow:license-type` is set from the `<project_license>`. If the license type retrieved from AppStream is not listed in `GtkLicense`, it will be set to `GTK_LICENSE_CUSTOM`.

If `release_notes_version` is not `NULL`, `AdwAboutWindow:release-notes-version` is set to match it, while `AdwAboutWindow:release-notes` is set from the AppStream release description for that version.

Available since: 1.4

Deprecated since: 1.6

Use `AdwAboutDialog`.

#### Parameters

`resource_path`

  Type: `const char*`

  The resource to use.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`release_notes_version`

  Type: `const char*`

  The version to retrieve release notes for.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The newly created `AdwAboutWindow`.

The data is owned by the called function.